﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using GridUsingJQueryDateTimePicker.Models;
using Telerik.Web.Mvc;

namespace GridUsingJQueryDateTimePicker.Controllers
{
    public class HomeController : Controller
    {
        public static List<Person> persons = new List<Person>()
        {
            new Person{PersonID=1,Name="John",DateOfBirth=new DateTime(1978,12,13)},
            new Person{PersonID=2,Name="Sara",DateOfBirth=new DateTime(1956,8,25)}
        };

        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View();
        }

        [GridAction]
        public ActionResult GetPersons()
        {
            return View(new GridModel(persons));
        }

        [GridAction]
        public ActionResult UpdatePerson(int personID)
        {
            var per = persons.FirstOrDefault(p => p.PersonID == personID);
            TryUpdateModel(per);

            return View(new GridModel(persons));
        }
    }
}
